var procesoActivado=false;
var arrayTds;
jQuery(function($){
	
	procesoActivado=false;
	arrayTds=$("td[id^='td']");
});
function subirPid(idDoc){
	$("#td"+idDoc).html("<img src='../../organizaciondocumental/aa21b/images/cargando.gif'/>");
	 $.ajax({
		   url: "../procesoPID/procesar/"+idDoc,
		   type: "POST",
		   contentType: "application/json; charset=utf-8",
		   dataType: "json",		
		   async:false,
		   cache:false,
		   error: function(data) {
			   alert(data);
			   
		   },
		   success: function(data) {
			  $("#td"+data.id).html(data.codPid);
			  $("#td"+data.id).css("background-color","green");
			  $("#td"+data.id).css("color","white");
			  $("#td"+data.id).css("font-weight","bolder");		
			 
		   }
	   });
	
	
	
}

function subirPidRec(tdI){
	
	if(tdI<arrayTds.length)	{
		if($(arrayTds[tdI]).html().lastIndexOf("<input", 0)===0 ){
			var name=arrayTds[tdI].id+"";
			var idDoc=parseInt(name.substring(2,arrayTds[tdI].length));
			$("#td"+idDoc).html("<img src='../../organizaciondocumental/aa21b/images/cargando.gif'/>");
			 $.ajax({
				   url: "../procesoPID/procesar/"+idDoc,
				   type: "POST",
				   contentType: "application/json; charset=utf-8",
				   dataType: "json",		
				   async:true,
				   cache:false,
				   error: function(data) {
					   alert(data);
					   
				   },
				   success: function(data) {
					  $("#td"+data.id).html(data.codPid);
					  $("#td"+data.id).css("background-color","green");
					  $("#td"+data.id).css("color","white");
					  $("#td"+data.id).css("font-weight","bolder");		
					  if(procesoActivado){
							subirPidRec(tdI+1);
						}
				   }
			   });
			
		}
		else{
			if(procesoActivado){
				subirPidRec(tdI+1);
			}
		}
	}
}

function activarProceso(){
	if(!procesoActivado){
		procesoActivado=true;
		$("#btnActivar").val("Desactivar proceso");
		subirPidRec(0);
		
	}
	else{
		procesoActivado=false;
		$("#btnActivar").val("Activar proceso");
	}
}